﻿@model EpamMVC.WEB.Areas.Admin.Models.UserAdmin.EditViewModel

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="card">

        <div class="card-header">
            <div class="card-tools">
                <button type="submit" class="btn btn-success btn-sm">
                    Сохранить
                </button>
                <a class="btn btn-secondary btn-sm"
                   href="@Url.Action("Index")">
                    Вернуться
                </a>
            </div>
        </div>

        <div class="card-body">
            @Html.ValidationSummary()

            <div class="form-group">
                @Html.LabelFor(model => model.Email)
                @Html.TextBoxFor(m => m.Email, new {@class = "form-control"})
                @Html.ValidationMessageFor(model => model.Email)
            </div>

            <div class="form-group">
                <div class="form-check">
                    <label class="form-check-label">
                        <input type="checkbox" name="Locked" value="true" checked="@Model.Locked" class="form-check-input"/>
                        Заблокирован
                    </label>
                </div>
            </div>

            <div class="form-group">
                @Html.Label("Roles")

                @foreach (var item in Model.RolesListAvailable)
                {
                    <div class="form-check">
                        <label class="form-check-label">
                            <input type="checkbox" name="RolesListSelect" value="@item.Value" checked="@item.Selected" class="form-check-input"/>
                            @item.Value
                        </label>
                    </div>
                }
            </div>

        </div>
    </div>
}
